Get on-demand request status
Get the status of the specified on-demand request.
Authorization
auth ApiKey AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
X-API-KEY<token>
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Path Parameters
id*string
The ID of the on-demand request.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/status/on-demand-requests/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8", "title": "string", "outputFormats": "string", "typeMime": "string", "projectName": "string", "source": "string", "lastExecutionDate": "2019-08-24T14:15:22Z", "executionEndDate": "2019-08-24T14:15:22Z", "status": "string", "logFile": "string", "isMine": true, "canRun": true, "canDelete": true }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}